Package org.eclipse.m2m.atl.emftvm.ant

## Class ModelElement

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.ant.ModelElement

Direct Known Subclasses:
  `InModel`, `InOutModel`, `MetaModel`, `OutModel`, `OutModelSet`

    public abstract class ModelElement
    extends java.lang.Object

Nested Ant model element.

### Constructor Summary

Constructors
`ModelElement()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAs()` Returns the model element alias.
`java.lang.String` `getName()` Returns the model element name.
`boolean` `isAllowInterModelReferences()` Returns the allowInterModelReferences (default = `true`).
`void` `setAllowInterModelReferences​(boolean allowInterModelReferences)` Sets the allowInterModelReferences with the allowInterModelReferences value.
`void` `setAs​(java.lang.String as)` Sets the model element alias.
`void` `setName​(java.lang.String name)` Sets the model element name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ModelElement

    public ModelElement()

### Method Detail

#### setName

    public void setName​(java.lang.String name)

Sets the model element name.

Parameters:
  `name` - the name to set

#### getName

    public java.lang.String getName()

Returns the model element name.

Returns:
  the name

#### getAs

    public java.lang.String getAs()

Returns the model element alias.

Returns:
  the as

#### setAs

    public void setAs​(java.lang.String as)

Sets the model element alias.

Parameters:
  `as` - the as to set

#### isAllowInterModelReferences

    public boolean isAllowInterModelReferences()

Returns the allowInterModelReferences (default = `true`).

Returns:
  the allowInterModelReferences

#### setAllowInterModelReferences

    public void setAllowInterModelReferences​(boolean allowInterModelReferences)

Sets the allowInterModelReferences with the allowInterModelReferences value.

Parameters:
  `allowInterModelReferences` - the allowInterModelReferences to set